summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-04 12:48:29 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-04 12:48:29 -0500
commit7acfaa9e6409ed0ebdbc2e6fb67e8bc9b64b33d2 (patch)
tree3051f7c74a298d8d732f13fb76fa7eb73d4ec865 /ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
parent1b6efb141bcf333e5c73a520e701d1de8cafcf4e (diff)
downloadtde-packaging-7acfaa9e6409ed0ebdbc2e6fb67e8bc9b64b33d2.tar.gz
tde-packaging-7acfaa9e6409ed0ebdbc2e6fb67e8bc9b64b33d2.zip
Rename a bunch of kde names to tde
Diffstat (limited to 'ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst')
-rw-r--r--ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst b/ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
new file mode 100644
index 000000000..f7b840ea2
--- /dev/null
+++ b/ubuntu/maverick/applications/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+
+case "$1" in
+
+ upgrade)
+
+ # Remove wrong previous used file/dir:
+ FILE="/etc/xdg/menus/kde-applications-merged/system-settings-merge.menu"
+ SUBDIR="/etc/xdg/menus/kde-applications-merged"
+ if [ ! -L "$SUBDIR" ] && [ -d "$SUBDIR" ]; then
+ if [ -f "$FILE" ]; then rm -f "$FILE"; fi
+ rmdir --ignore-fail-on-non-empty "$SUBDIR"
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0
+